<?php
/*
####################################################################
# DEBRECENI VIRTUÁLIS SZOBORPARK                                   #
# PHOTOS                                                           #
# Új fotó feltöltése vagy meglévő szerkesztése                     #
#                                                                  #
# (C) Debreceni Városi Könyvtár 2008.04.22.                        #
# Készítette: Lente Tamás                                          #
####################################################################
*/
// Csak ha sikeresen belépett admin használja!!!
if (!$_SESSION['user']) {
    exit();
}
// Esetszétválaszáts, hogy mik hajtódjanak végre
  switch ($_REQUEST['mode']) {
// Fotó adatainak módosítása
    case 'modify':
        // Adatmódosítások az adatbázisban
        $lekerdezes_fotomodosit = lekerdezes("UPDATE fotok SET 
          foto_forras = '".$_REQUEST[forras]."',
          foto_keszites = '".$_REQUEST[keszites]."',
          fotos_kod = ".$_REQUEST[fotos_kod]."
          WHERE foto_azon = ".$id);
        include($dir['modules']."/photos-uj.php");
        include($dir['modules']."/photos-feltoltott.php");
        break;
// Fotó módosítási űrlapjának betöltése
    case 'update':
        include($dir['modules']."/photos-modosit.php");
        break;
// Fotó törlése
    case 'delete':
        // Törlés a műalkotások fotóiból
        $lekerdezes_mualkotasfototorol = lekerdezes("DELETE FROM mualkotas_fotoi WHERE foto_kod = ".$id);
        // és a fotókból
        $lekerdezes_fototorol = lekerdezes("DELETE FROM fotok WHERE foto_azon = ".$id);
        include($dir['modules']."/photos-uj.php");
        include($dir['modules']."/photos-feltoltott.php");
        break;
// Új fotó feltöltése        
    case 'upload':
        $kepmeret_maxx = 800;
        $kepmeret_maxy = 600;
        $tnkep_maxy = 100; 
        $uploaddir = $dir['program']."/".$dir['photos']."/";
        $uploadbasename = strtolower (basename($_FILES['fenykep']['name']));
        $uploadfile = $uploaddir . $uploadbasename;
        if (file_exists($uploaddir)) { 
          if (move_uploaded_file($_FILES['fenykep']['tmp_name'], $uploadfile)) {
            $kepinfo = getimagesize($uploadfile);
            // Ellenőrízzük, hogy JPG típusú képe töltött-e fel
            if ($kepinfo['mime'] == "image/jpeg") {
              $kep_x = $kepinfo[0]; // szélesség
              $kep_y = $kepinfo[1]; // magasság
              // Ha 800x600-nál nagyobb, akkor kicsinyítünk
              ini_set('memory_limit', '50M');
              $kepfile = $dir['photos']."/".$uploadbasename;
              $eredeti_kep = imagecreatefromjpeg($kepfile);
              if (($kep_x>$kepmeret_maxx) || ($kep_y>$kepmeret_maxy)) {
                  // Képarány meghatározása
                  $arany_x = $kep_x>$kepmeret_maxx ? $kepmeret_maxx/$kep_x : 0;
                  $arany_y = $kep_y>$kepmeret_maxy ? $kepmeret_maxy/$kep_y : 0;
                  // a kettő közül a nagyobbik arányt választjuk ki
                  $arany = $arany_x>=$arany_y ? $arany_x : $arany_y;
                 
                  // Új kép
                  $uj_x = round($arany*$kep_x);
                  $uj_y = round($arany*$kep_y);
                  $uj_kep = imagecreatetruecolor($uj_x,$uj_y);
                                    
                  // kép átméretezése az eredetiből az újba  és mentése
                  imagecopyresampled($uj_kep,$eredeti_kep,0,0,0,0,$uj_x,$uj_y,$kep_x,$kep_y);
                  imagejpeg($uj_kep,$uploadfile); 
                  imagedestroy($eredeti_kep); 
                  imagedestroy($uj_kep);
              }
              // Thumbnail 
              $tn_file = $uploaddir . "tn_".$uploadbasename;
              $tn_arany = $tnkep_maxy/$kep_y;
              $tn_x = round($tn_arany*$kep_x);
              $tn_y = round($tn_arany*$kep_y);
              $tn_kep = imagecreatetruecolor($tn_x,$tn_y);
              imagecopyresampled($tn_kep,$eredeti_kep,0,0,0,0,$tn_x,$tn_y,$kep_x,$kep_y);
              imagejpeg($tn_kep,$tn_file);
              imagedestroy($tn_kep);
              // Adatbázisba írjuk              
              $lekerdezes_ujfoto = lekerdezes("INSERT fotok (foto_file, foto_forras, foto_keszites, fotos_kod)
                          VALUES('".$uploadbasename."','".$_REQUEST['forras']."','".$_REQUEST['keszites']."',".$_REQUEST['fotos_kod'].")");
              if ($lekerdezes_ujfoto)            
                echo "<div class=\"hiba\">Feltöltve...</div>";              
            }
            // Ha nem, akkor a feltöltött tartalmat letöröljük és jelezzüka hibát!
            else {
              unlink($uploadfile);
              echo "<div class=\"hiba\">A(z) ".$uploadbasename." fájl nem JPEG formátumú! Az adatbázisba csak JPEG formátumú fotók tölthetők fel!</div>";
            }          
          }
        }
        else {
          echo "<div class=\"hiba\">A(z) ".$uploadbasename." fájl feltöltése a ".$uploaddir." mappába sikertelen volt!</div>\n";
          contactme();
        }
        include($dir['modules']."/photos-uj.php");
        include($dir['modules']."/photos-feltoltott.php");
        break;
// Alapértelmezett        
    default:
        include($dir['modules']."/photos-uj.php");
        include($dir['modules']."/photos-feltoltott.php");
  }
?>      
